Build error with latest tip?


#1

I get the following build errors after updating to the latest tip. Any ideas how to resolve?

 

../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioDeviceSelectorComponent.h:82:40: warning: override controls (override/final) only available with -std=c++11 or -std=gnu++11 [enabled by default]
../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioDeviceSelectorComponent.h:95:19: error: ‘ContainerDeletePolicy’ is not a template
../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioThumbnail.h:204:19: error: ‘ContainerDeletePolicy’ is not a template
../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioThumbnail.h:205:19: error: ‘ContainerDeletePolicy’ is not a template
../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioThumbnail.h:205:19: warning: ‘juce::ContainerDeletePolicy’ is already a friend of ‘juce::AudioThumbnail’ [enabled by default]
../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioThumbnail.h:206:19: error: ‘ContainerDeletePolicy’ is not a template
../../Source/../JuceLibraryCode/modules/juce_audio_utils/gui/juce_AudioThumbnail.h:206:19: warning: ‘juce::ContainerDeletePolicy’ is already a friend of ‘juce::AudioThumbnail’ [enabled by default]


#2

No such errors here.. I can't think what you might be doing differently to make that happen?


#3

Nevermind. The newly built introjucer was still linking to my old JUCE modules. Now I only have real errors to worry about..